javax.xml.transform.sax

## Interface TransformerHandler

All Superinterfaces:
  ContentHandler, DTDHandler, LexicalHandler

    public interface TransformerHandler
    extends ContentHandler, LexicalHandler, DTDHandler

A TransformerHandler listens for SAX ContentHandler parse events and transforms them to a Result.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getSystemId()` Get the base ID (URI or system ID) from where relative URLs will be resolved.
`Transformer` `getTransformer()` Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.
`void` `setResult(Result result)` Set the `Result` associated with this `TransformerHandler` to be used for the transformation.
`void` `setSystemId(java.lang.String systemID)` Set the base ID (URI or system ID) from where relative URLs will be resolved.

### Methods inherited from interface org.xml.sax.ContentHandler

`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

### Methods inherited from interface org.xml.sax.ext.LexicalHandler

`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

### Methods inherited from interface org.xml.sax.DTDHandler

`notationDecl, unparsedEntityDecl`

### Method Detail

#### setResult

    void setResult(Result result)
            throws java.lang.IllegalArgumentException

Set the `Result` associated with this `TransformerHandler` to be used for the transformation.

Parameters:
  `result` - A `Result` instance, should not be `null`.
Throws:
  `java.lang.IllegalArgumentException` - if result is invalid for some reason.

#### setSystemId

    void setSystemId(java.lang.String systemID)

Set the base ID (URI or system ID) from where relative URLs will be resolved.

Parameters:
  `systemID` - Base URI for the source tree.

#### getSystemId

    java.lang.String getSystemId()

Get the base ID (URI or system ID) from where relative URLs will be resolved.

Returns:
  The systemID that was set with `setSystemId(java.lang.String)`.

#### getTransformer

    Transformer getTransformer()

Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.

Returns:
  `Transformer` associated with this `TransformerHandler`.